#include "bugcheck.hxx"
#include "syscall.hxx"
#include "logging.hxx"

void InitializeBugCheckHandler() {
	int LnxError = 0;
	
	// Get file descriptor for crashkernel
	int CrashKernel = LnxSystemCall(LnxSystemOp::OPEN, "/Windows/System32/lcrash.exe", 0, 4);
	ExecutiveLog("Crashkernel fd: {}", CrashKernel);

	if ((LnxError = LnxSystemCall(
		LnxSystemOp::KEXEC_FILE_LOAD,
		CrashKernel, 0,
	       	0, "", // no cmdline
		6 // crash + no initramfs
	)) < 0) {
		ExecutiveLog("Failed to load bugcheck kernel, bad things might happen! (errno {})", -LnxError);
		return;
	}
}
