#pragma once

#include "types.h"

/**
 * Compare the data at two memory addresses
 */
bool CompareMemory(const void* Addr1, const void* Addr2, u32 Length);

void PortWrite8(u16 Port, u8 Data);
void PortWrite16(u16 Port, u16 Data);
void PortWrite32(u16 Port, u32 Data);

u8 PortRead8(u16 Port);
u16 PortRead16(u16 Port);
u32 PortRead32(u16 Port);
