#pragma once

#include <lindows/ntstatus.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Get the address of the LRSS socket
 * \param buffer (out) buffer to write the address to
 * \return status code:
 * 	STATUS_SUCCESS: I really hope this function always succeeds
 */
extern NTSTATUS LrcSocketAddress(char Buffer[108]);

/**
 * Open a connection to LRSS
 * \return status code 
 * 	STATUS_SUCCESS:        Registry connection has been established
 * 	STATUS_INTERNAL_ERROR: Something went wrong
 */
extern NTSTATUS LrcOpenRegistry();

#ifdef __cplusplus
}
#endif
